Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027023
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajorhave not tried2014-07-07 10:282014-08-14 15:59
ReporteralostaleView Statuspublic 
Assigned Tovmromanos 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision085ea1fce739
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Torafaroda
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027023: Order line taxes are regenerated on all order line changes

DescriptionWhenever there is any change in order line, all order line taxes are recreated.

This causes performance degradation.

Note when number of order lines is big (>400), booking an order takes long time due to this issue.
Steps To ReproduceUsing PG:
-Enable function statistics:
  -In postgresql.conf set track_functions = all
  -/etc/init.d/postgresql reload
-Create a sales order with one line
-Reset pg statistics: select pg_stat_reset();
-Book it
  * Check function calls: select funcname, calls, total_time, self_time from pg_stat_user_functions order by self_time desc
  * c_orderline_tax_trg is invoked 6 times
Proposed SolutionThe problem is in c_orderline_trg2:

1. Do smarter logic to determine if taxes should be regenerated: instead of doing it always check if columns affecting them have been changed and do it only in this case
2. Instead of recreating them, modify existent ones in case of change.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0027024 closedvmromanos Unneeded updates to c_order whenever c_orderline is modified 
related to defect 0027338 newdmiguelez Review deleting logic of tax lines in C_ORDERLINE_TRG2 
blocks defect 0027160 closededuardo_Argal C_Order_Post poor performance 

-  Notes
(0068808)
hgbot (developer)
2014-07-22 15:12

Repository: erp/devel/pi
Changeset: 085ea1fce739489f26d85c05d89b6e8ed7ec23e4
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Jul 22 10:23:09 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/085ea1fce739489f26d85c05d89b6e8ed7ec23e4 [^]

Fixed bug 27023 Fixed bug 27024: Performance improvements on C_ORDERLINE_TRG2

---
M src-db/database/model/triggers/C_ORDERLINE_TRG2.xml
---
(0069073)
dmitry_mezentsev (developer)
2014-08-04 16:35

The issues is not closed for 13 days now!!!
(0069211)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069275)
eduardo_Argal (developer)
2014-08-08 19:58

Code Review done. It seems point 2 from proposed solution has not yet been implemented, that drives to doing delete + insert instead of an update.
Should be discussed before closing.
Issue can be closed if a related issue is logged asking to review ponit 2.
(0069374)
rafaroda (developer)
2014-08-14 15:59

Reviewed execution of c_orderlinetax_trg: now called just 2 times when Booking Sales Order.

Related issue 0027338 has been opened to address point 2. Instead of recreating them, modify existent ones in case of change.

- Issue History
Date Modified Username Field Change
2014-07-07 10:28 alostale New Issue
2014-07-07 10:28 alostale Assigned To => eduardo_Argal
2014-07-07 10:28 alostale Modules => Core
2014-07-07 10:28 alostale Triggers an Emergency Pack => No
2014-07-07 10:29 alostale Tag Attached: Performance
2014-07-07 10:31 alostale Description Updated View Revisions
2014-07-07 10:33 alostale Proposed Solution updated
2014-07-07 10:37 alostale Relationship added related to 0027024
2014-07-07 13:32 jpcalvente Issue Monitored: jpcalvente
2014-07-21 16:55 vmromanos Status new => scheduled
2014-07-21 16:55 vmromanos Assigned To eduardo_Argal => vmromanos
2014-07-21 16:55 vmromanos fix_in_branch => pi
2014-07-22 15:12 hgbot Checkin
2014-07-22 15:12 hgbot Note Added: 0068808
2014-07-22 15:12 hgbot Status scheduled => resolved
2014-07-22 15:12 hgbot Resolution open => fixed
2014-07-22 15:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/085ea1fce739489f26d85c05d89b6e8ed7ec23e4 [^]
2014-07-23 08:26 alostale Relationship added blocks 0027160
2014-08-04 16:35 dmitry_mezentsev Note Added: 0069073
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069211
2014-08-08 19:58 eduardo_Argal Note Added: 0069275
2014-08-14 15:56 rafaroda Relationship added related to 0027338
2014-08-14 15:59 rafaroda Review Assigned To => rafaroda
2014-08-14 15:59 rafaroda Note Added: 0069374
2014-08-14 15:59 rafaroda Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker